Package picard.arrays.illumina

## Class InfiniumTransformation

- java.lang.Object
- - picard.arrays.illumina.InfiniumTransformation

-     public class InfiniumTransformation
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InfiniumTransformation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float` | `getOffsetX()` |
    `float` | `getOffsetY()` |
    `float` | `getReserved1()` |
    `float` | `getReserved2()` |
    `float` | `getReserved3()` |
    `float` | `getReserved4()` |
    `float` | `getReserved5()` |
    `float` | `getReserved6()` |
    `float` | `getScaleX()` |
    `float` | `getScaleY()` |
    `float` | `getShear()` |
    `float` | `getTheta()` |
    `int` | `getVersion()` |
    `void` | `setOffsetX​(float offsetX)` |
    `void` | `setOffsetY​(float offsetY)` |
    `void` | `setReserved1​(float reserved1)` |
    `void` | `setReserved2​(float reserved2)` |
    `void` | `setReserved3​(float reserved3)` |
    `void` | `setReserved4​(float reserved4)` |
    `void` | `setReserved5​(float reserved5)` |
    `void` | `setReserved6​(float reserved6)` |
    `void` | `setScaleX​(float scaleX)` |
    `void` | `setScaleY​(float scaleY)` |
    `void` | `setShear​(float shear)` |
    `void` | `setTheta​(float theta)` |
    `void` | `setVersion​(int version)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InfiniumTransformation

          public InfiniumTransformation()

  - ### Method Detail

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public void setVersion​(int version)

    - #### getOffsetX

          public float getOffsetX()

    - #### setOffsetX

          public void setOffsetX​(float offsetX)

    - #### getOffsetY

          public float getOffsetY()

    - #### setOffsetY

          public void setOffsetY​(float offsetY)

    - #### getScaleX

          public float getScaleX()

    - #### setScaleX

          public void setScaleX​(float scaleX)

    - #### getScaleY

          public float getScaleY()

    - #### setScaleY

          public void setScaleY​(float scaleY)

    - #### getShear

          public float getShear()

    - #### setShear

          public void setShear​(float shear)

    - #### getTheta

          public float getTheta()

    - #### setTheta

          public void setTheta​(float theta)

    - #### getReserved1

          public float getReserved1()

    - #### setReserved1

          public void setReserved1​(float reserved1)

    - #### getReserved2

          public float getReserved2()

    - #### setReserved2

          public void setReserved2​(float reserved2)

    - #### getReserved3

          public float getReserved3()

    - #### setReserved3

          public void setReserved3​(float reserved3)

    - #### getReserved4

          public float getReserved4()

    - #### setReserved4

          public void setReserved4​(float reserved4)

    - #### getReserved5

          public float getReserved5()

    - #### setReserved5

          public void setReserved5​(float reserved5)

    - #### getReserved6

          public float getReserved6()

    - #### setReserved6

          public void setReserved6​(float reserved6)